Main Interfaces
===============

.. contents::

.. module:: qrenderdoc

Context
-------

.. autoclass:: qrenderdoc.CaptureContext
  :members:
  :undoc-members:

Replay Manager
--------------

.. autoclass:: qrenderdoc.ReplayManager
  :members:
  :undoc-members:

LogViewer Interface
-------------------

.. autoclass:: qrenderdoc.LogViewer
  :members:
  :undoc-members:

Utilities
---------

.. autoclass:: qrenderdoc.DockReference
  :members:
  :undoc-members:
  :exclude-members: enum_constants__, 

.. autoclass:: qrenderdoc.CaptureSettings
  :members:
  :undoc-members:

